<%@ Page AutoEventWireup="true" CodeFile="DefaultCS.aspx.cs" Inherits="Telerik.Web.Examples.TabStrip.Functionality.Orientation.DefaultCS"
    Language="c#" %>

<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <link rel="stylesheet" type="text/css" href="styles.css" />
    <style type="text/css">
        .rmpHiddenView
        {
            display: block !important;
        }
    </style>
</head>
<body class="BODY">
    <form runat="server" id="mainForm" method="post">
    <asp:ScriptManager ID="ScriptManager" runat="server" />
    <asp:Label ID="Label1" Style="display: block; padding: 10px 5px;" runat="server"
        AssociatedControlID="orientationOptions">Orientation:</asp:Label>
    <asp:RadioButtonList runat="server" ID="orientationOptions" OnSelectedIndexChanged="ChangeOrientation"
        AutoPostBack="true">
        <asp:ListItem Text="HorizontalTop" Selected="true"></asp:ListItem>
        <asp:ListItem Text="HorizontalBottom"></asp:ListItem>
        <asp:ListItem Text="VerticalLeft"></asp:ListItem>
        <asp:ListItem Text="VerticalRight"></asp:ListItem>
    </asp:RadioButtonList>
    <div class="exampleWrapper">
        <telerik:RadTabStrip runat="server" ID="RadTabStrip1" Orientation="HorizontalTop"
            SelectedIndex="0" MultiPageID="RadMultiPage1">
            <Tabs>
                <telerik:RadTab Text="Corporate">
                </telerik:RadTab>
                <telerik:RadTab Text="Products">
                </telerik:RadTab>
                <telerik:RadTab Text="Services">
                </telerik:RadTab>
            </Tabs>
        </telerik:RadTabStrip>
        <!--
			no spaces between the tabstrip and multipage, in order to remove unnecessary whitespace
			-->
        <telerik:RadMultiPage runat="server" ID="RadMultiPage1" SelectedIndex="0" Height="218px"
            Width="396px" CssClass="multiPage">
            <telerik:RadPageView runat="server" ID="RadPageView1" CssClass="corporatePageView">
                <ul>
                    <li>Corporate Info</li>
                    <li>Press Center</li>
                    <li>Customers</li>
                    <li>Awards</li>
                </ul>
            </telerik:RadPageView>
            <telerik:RadPageView runat="server" ID="RadPageView2" CssClass="productsPageView">
                <ul>
                    <li>RadControls for ASP.NET</li>
                    <li>RadControls for WinForms</li>
                    <li>Telerik Reporting</li>
                    <li>Sitefinity CMS</li>
                </ul>
            </telerik:RadPageView>
            <telerik:RadPageView runat="server" ID="RadPageView3" CssClass="servicesPageView">
                <ul>
                    <li>Enterprise Services</li>
                    <li>Enterprise Account Manager</li>
                    <li>On-site Training</li>
                    <li>GoToMeeting Sessions</li>
                </ul>
            </telerik:RadPageView>
        </telerik:RadMultiPage><!--
			no spaces between the tabstrip and multipage, in order to remove unnecessary whitespace
			--><telerik:RadTabStrip runat="server" ID="RadTabStrip2" Orientation="HorizontalTop"
                SelectedIndex="0" MultiPageID="RadMultiPage1">
                <Tabs>
                    <telerik:RadTab Text="Corporate">
                    </telerik:RadTab>
                    <telerik:RadTab Text="Products">
                    </telerik:RadTab>
                    <telerik:RadTab Text="Services">
                    </telerik:RadTab>
                </Tabs>
            </telerik:RadTabStrip>
    </div>
    </form>
</body>
</html>
